curl --request POST \
--url https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"address1": "1234 Main St.",
"city": "Houston",
"state": "TX",
"country": "USA",
"zipCode": 77035,
"attention": "Account Manager",
"address2": "Suite 710",
"address3": "Floor 7",
"company": "Acme Inc.",
"kind": "Business",
"phone": {
"number": "555-123-4567",
"kind": "Mobile"
},
"name": {
"first": "Pat",
"last": "Kake"
},
"email": "test@mail.com"
}
'import requests
url = "https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address"
payload = {
"address1": "1234 Main St.",
"city": "Houston",
"state": "TX",
"country": "USA",
"zipCode": 77035,
"attention": "Account Manager",
"address2": "Suite 710",
"address3": "Floor 7",
"company": "Acme Inc.",
"kind": "Business",
"phone": {
"number": "555-123-4567",
"kind": "Mobile"
},
"name": {
"first": "Pat",
"last": "Kake"
},
"email": "test@mail.com"
}
headers = {
"x-site-context": "<x-site-context>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
address1: '1234 Main St.',
city: 'Houston',
state: 'TX',
country: 'USA',
zipCode: 77035,
attention: 'Account Manager',
address2: 'Suite 710',
address3: 'Floor 7',
company: 'Acme Inc.',
kind: 'Business',
phone: {number: '555-123-4567', kind: 'Mobile'},
name: {first: 'Pat', last: 'Kake'},
email: 'test@mail.com'
})
};
fetch('https://{customerDomain}.fabric.zone/api-commerceIdentity/user/{userId}/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"address1": "1234 Main St.",
"city": "Houston",
"state": "TX",
"country": "USA",
"zipCode": 77035,
"email": "test@mail.com",
"isValidated": true,
"isDefault": true,
"attention": "Account Manager",
"address2": "Suite 710",
"address3": "Floor 7",
"company": "Acme Inc.",
"kind": "Business",
"phone": {
"number": "555-123-4567",
"kind": "Mobile"
},
"name": {
"first": "Pat",
"last": "Kake"
}
}
]{
"error": "BAD_REQUEST",
"code": "400",
"message": "BAD_REQUEST"
}{
"error": "INTERNAL_SERVER_ERROR",
"code": "500",
"message": "Internal server error"
}Create user address
Create address for specified user
Authorizations
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
User ID
"6169b2d892a5f30009d76480"
Body
Request body for creating a user's address
Primary address
"1234 Main St."
Address city
"Houston"
Address state
"TX"
Address country
"USA"
Address zip code
77035
Address recipient
"Account Manager"
Second address line
"Suite 710"
Third address line
"Floor 7"
Company name
"Acme Inc."
Address type
"Business"
Telephone number and type associated with address
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Email address
"test@mail.com"
Response
OK
Primary address
"1234 Main St."
Address city
"Houston"
Address state
"TX"
Address country
"USA"
Address zip code
77035
Email address
"test@mail.com"
true: Address has been validated
false: Address has not been validated
true
true: This is the default address
false: This is an additional address
true
Address recipient
"Account Manager"
Second address line
"Suite 710"
Third address line
"Floor 7"
Company name
"Acme Inc."
Address type
"Business"
Telephone number and type associated with address
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
